> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analysis

> 
This API endpoint retrieves analysis results, encompassing basic information about the analysis, such as its name,
assigned provider,
[net rate scheme](https://support.phrase.com/hc/en-us/articles/5709665578908-Net-Rate-Schemes-TMS-),
[Analysis settings](https://support.phrase.com/hc/en-us/articles/5709712007708-Analysis-TMS-) settings and a subset of
[Get project](../project/get-project) information for the project the analysis belongs to.

The analysis results consist of each analyzed language, presented as an item within the `analyseLanguageParts` array.
Each of these items contains details regarding the analyzed
[jobs](https://support.phrase.com/hc/en-us/articles/5709686763420-Jobs-TMS-),
[translation memories](https://support.phrase.com/hc/en-us/articles/5709688865692-Translation-Memories-Overview)
and the resultant data.

The analysis results are divided into two sections:

- `data` stores the raw numbers,
- `discountedData` recalculates the raw numbers using the selected net rate scheme.

Similar to the UI, both raw and net numbers are categorized based on their source into TM, MT, and NT categories,
including repetitions where applicable. These categories are then further subdivided based on the match score.




## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v3/analyses/{analyseUid}
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v3/analyses/{analyseUid}:
    get:
      tags:
        - Analysis
      summary: Get analysis
      description: >

        This API endpoint retrieves analysis results, encompassing basic
        information about the analysis, such as its name,

        assigned provider,

        [net rate
        scheme](https://support.phrase.com/hc/en-us/articles/5709665578908-Net-Rate-Schemes-TMS-),

        [Analysis
        settings](https://support.phrase.com/hc/en-us/articles/5709712007708-Analysis-TMS-)
        settings and a subset of

        [Get project](../project/get-project) information for the project the
        analysis belongs to.


        The analysis results consist of each analyzed language, presented as an
        item within the `analyseLanguageParts` array.

        Each of these items contains details regarding the analyzed

        [jobs](https://support.phrase.com/hc/en-us/articles/5709686763420-Jobs-TMS-),

        [translation
        memories](https://support.phrase.com/hc/en-us/articles/5709688865692-Translation-Memories-Overview)

        and the resultant data.


        The analysis results are divided into two sections:


        - `data` stores the raw numbers,

        - `discountedData` recalculates the raw numbers using the selected net
        rate scheme.


        Similar to the UI, both raw and net numbers are categorized based on
        their source into TM, MT, and NT categories,

        including repetitions where applicable. These categories are then
        further subdivided based on the match score.
      operationId: getAnalyseV3
      parameters:
        - name: analyseUid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyseV3DtoV3'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    AnalyseV3DtoV3:
      type: object
      properties:
        analyseLanguageParts:
          type: array
          items:
            $ref: '#/components/schemas/AnalyseLanguagePartV3DtoV3'
        canChangeNetRateScheme:
          type: boolean
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        id:
          type: string
        importStatus:
          $ref: '#/components/schemas/ImportStatusDtoV1'
        innerId:
          type: integer
          format: int32
        name:
          type: string
        netRateScheme:
          $ref: '#/components/schemas/NetRateSchemeReferenceV1'
        outdated:
          type: boolean
        project:
          $ref: '#/components/schemas/ProjectReferenceV1'
        provider:
          $ref: '#/components/schemas/ProviderReferenceV1'
        pureWarnings:
          type: array
          items:
            type: string
        settings:
          $ref: '#/components/schemas/AbstractAnalyseSettingsDtoV1'
        type:
          type: string
          enum:
            - PreAnalyse
            - PostAnalyse
            - PreAnalyseTarget
            - Compare
            - PreAnalyseProvider
            - ContinuousPostAnalyse
            - ContinuousPreAnalyse
        uid:
          type: string
    AnalyseLanguagePartV3DtoV3:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoDataDtoV3'
        discountedData:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoDataDtoV3'
        id:
          type: string
        jobs:
          type: array
          description: Max of 100 jobs returned, use "List jobs of analyses" to get all
          items:
            $ref: '#/components/schemas/AnalyseJobReferenceV1'
        sourceLang:
          type: string
        targetLang:
          type: string
        transMemories:
          type: array
          items:
            $ref: '#/components/schemas/TransMemoryReferenceDtoV2'
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    ImportStatusDtoV1:
      type: object
      properties:
        errorMessage:
          type: string
        status:
          type: string
          enum:
            - RUNNING
            - ERROR
            - OK
    NetRateSchemeReferenceV1:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        id:
          type: string
        isDefault:
          type: boolean
        name:
          type: string
        uid:
          type: string
    ProjectReferenceV1:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
    ProviderReferenceV1:
      type: object
      required:
        - type
      discriminator:
        propertyName: type
      properties:
        id:
          type: string
        type:
          type: string
        uid:
          type: string
          readOnly: true
    AbstractAnalyseSettingsDtoV1:
      type: object
      required:
        - type
      discriminator:
        propertyName: type
      properties:
        allowAutomaticPostAnalysis:
          type: boolean
          description: >-
            If automatic post analysis should be created after update source.
            Default: false
        analyzeByLanguage:
          type: boolean
          description: 'Default: false'
        analyzeByProvider:
          type: boolean
          description: 'Default: false'
        countSourceUnits:
          type: boolean
          description: 'Default: false'
        includeConfirmedSegments:
          type: boolean
          description: 'Default: false'
        includeLockedSegments:
          type: boolean
          description: 'Default: false'
        includeNotConfirmedSegments:
          type: boolean
          description: 'Default: false'
        includeNumbers:
          type: boolean
          description: 'Default: false'
        includeTransMemory:
          type: boolean
          description: 'Default: false'
        namingPattern:
          type: string
        type:
          type: string
          description: Response differs based on analyse type
          enum:
            - PreAnalyse
            - PostAnalyse
            - PreAnalyseTarget
            - Compare
      description: Base analyseSettingsDto
    AnalyseLanguagePartV3DtoDataDtoV3:
      type: object
      properties:
        all:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        available:
          type: boolean
        estimate:
          type: boolean
        internalFuzzyMatches:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoMatchCountsDtoV3'
        machineTranslationMatches:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoMatchCountsDtoV3'
        nonTranslatablesMatches:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoMatchCountsNTDtoV3'
        repetitions:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        transMemoryMatches:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoMatchCounts101DtoV3'
    AnalyseJobReferenceV1:
      type: object
      properties:
        filename:
          type: string
        innerId:
          type: string
        jobUid:
          type: string
        uid:
          type: string
    TransMemoryReferenceDtoV2:
      type: object
      required:
        - uid
      properties:
        internalId:
          type: integer
          format: int32
        name:
          type: string
        sourceLang:
          type: string
        targetLangs:
          type: array
          items:
            type: string
        uid:
          type: string
    AnalyseLanguagePartV3DtoCountsDtoV3:
      type: object
      properties:
        characters:
          type: number
          format: double
        editingTime:
          type: number
          format: double
        normalizedPages:
          type: number
          format: double
        percent:
          type: number
          format: double
        segments:
          type: number
          format: double
        words:
          type: number
          format: double
    AnalyseLanguagePartV3DtoMatchCountsDtoV3:
      type: object
      properties:
        match0:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match100:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match50:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match75:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match85:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match95:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
    AnalyseLanguagePartV3DtoMatchCountsNTDtoV3:
      type: object
      properties:
        match0:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match100:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match50:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match75:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match85:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match95:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
    AnalyseLanguagePartV3DtoMatchCounts101DtoV3:
      type: object
      properties:
        match0:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match100:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match101:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match50:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match75:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match85:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
        match95:
          $ref: '#/components/schemas/AnalyseLanguagePartV3DtoCountsDtoV3'
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````